Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.graph
Class NodeIdChangeOperation

    java.lang.Object
      org.apache.cayenne.graph.NodeDiff
          org.apache.cayenne.graph.NodeIdChangeOperation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, GraphDiff

    public class NodeIdChangeOperation

extends NodeDiff

A GraphDiff representing a change in node ID.

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `newNodeId`

Fields inherited from class org.apache.cayenne.graph.NodeDiff
`diffId, nodeId`

Constructor Summary
`NodeIdChangeOperation(java.lang.Object nodeId, java.lang.Object newNodeId)`
`NodeIdChangeOperation(java.lang.Object nodeId, java.lang.Object newNodeId, int diffId)`

Method Summary
`void` | `apply(GraphChangeHandler tracker)` Calls appropriate methods on the handler to "replay" this change.
`void` | `undo(GraphChangeHandler tracker)` Calls appropriate methods on the handler to revert this change.

Methods inherited from class org.apache.cayenne.graph.NodeDiff
`compareTo, getDiffId, getNodeId, isNoop, setDiffId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newNodeId

    protected java.lang.Object newNodeId

Constructor Detail

### NodeIdChangeOperation

    public NodeIdChangeOperation(java.lang.Object nodeId,
                                 java.lang.Object newNodeId)

### NodeIdChangeOperation

    public NodeIdChangeOperation(java.lang.Object nodeId,
                                 java.lang.Object newNodeId,
                                 int diffId)

Method Detail

### apply

    public void apply(GraphChangeHandler tracker)

  Description copied from interface: `GraphDiff`
  Calls appropriate methods on the handler to "replay" this change.

  Specified by:
    `apply` in interface `GraphDiff`
  Specified by:
    `apply` in class `NodeDiff`

### undo

    public void undo(GraphChangeHandler tracker)

  Description copied from interface: `GraphDiff`
  Calls appropriate methods on the handler to revert this change.

  Specified by:
    `undo` in interface `GraphDiff`
  Specified by:
    `undo` in class `NodeDiff`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.